POST
/workspace/check-hostnameCheck hostname availability
Checks whether a hostname is available for a workspace. Supply the hostname to check in hostname; the value must contain at least one character.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The hostname to check for availability.
hostnamestringrequired
Hostname to check availability for.
200Returns the hostname availability result in the standard response payload.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
404Returned when the hostname is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 404 is returned when the requested hostname is not found. hostname must be a non-empty string.